Delete an existing bind file of a topology
DELETE
/topologies/{topologyId}/files/{bindFileId}
const url = 'https://antimony.example.com/api/topologies/example/files/example';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://antimony.example.com/api/topologies/example/files/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”topologyId
required
string
The ID of the topology the bind file belongs to
bindFileId
required
string
The ID of the bind file to delete
Responses
Section titled “Responses”OK
Media typeapplication/json
The user isn’t authorized
Media typeapplication/json
Access to the resource was denied. Details in the request body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The request was invalid. Details in the response body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json